Lucene search

K
mageiaGentoo FoundationMGASA-2021-0589
HistoryDec 29, 2021 - 10:12 p.m.

Updated kernel-linus packages fix security vulnerabilities

2021-12-2922:12:56
Gentoo Foundation
advisories.mageia.org
19

0.001 Low

EPSS

Percentile

27.1%

This kernel-linus update is based on upstream 5.15.11 and fixes at least the following security issues: netdevsim: Zero-initialize memory for new map’s value in function nsim_bpf_map_alloc (CVE-2021-4135). Potentially malicious XEN PV backends can cause guest DoS due to unhardened frontends in the guests, even though this ought to have been prevented by containing them within a driver domain. This update fixes the issue tracked as XSA-391: blkfront (CVE-2021-28711), netfront (CVE-2021-28712), hvc_xen (CVE-2021-28713). The Linux kernel’s xen-netback backend driver can be forced by guests to queue arbitrary amounts of network data, finally causing an out of memory situation in the domain the backend is running in (usually dom0). This update fixes the issues tracked as XSA-392 (CVE-2021-28714, CVE-2021-28715). rds: memory leak in __rds_conn_create() (CVE-2021-45480). For other upstream fixes, see the referenced changelogs.

OSVersionArchitecturePackageVersionFilename
Mageia8noarchkernel-linus<Β 5.15.11-1kernel-linus-5.15.11-1.mga8